import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { CardData, LoginData, LoginResponse } from '../types';

@Injectable({
  providedIn: 'root'
})
export class KmsApi {


  constructor(private http: HttpClient) { }

  wait(milliseconds?: number) {
    return new Promise(resolve => setTimeout(resolve, milliseconds ? milliseconds : 1000));
  }

  async login(loginData: LoginData) {
    return this.http.post<LoginResponse>('authenticate', loginData).toPromise();
  }

  async passwordConfirm(password: string) {
    return this.http.post<void>('student/blockCard', password).toPromise();
  }

  async isCardBlocked(): Promise<boolean> {
    return this.http.get<boolean>('student/isCardBlocked').toPromise();
  }

  async getCard(): Promise<CardData> {
    return this.http.get<CardData>('student/card').toPromise();
  }

  async isEscEnabled(): Promise<boolean> {
    //  return this.http.get<boolean>('student/isEscEnabled').toPromise();
    return true;
  }

  async getEscNumber(): Promise<string> {
    // return this.http.get<string>('student/escNumber').toPromise();
    return 'e6480dc0-9fba-1035-a6bd-001932465463';
  }

  async getEscIdentifier(): Promise<string> {
    // return this.http.get<string>('student/escIdentifier').toPromise();
    return 'DE-990797674';
  }

  async uploadPhoto(base64photo: string) {
    // const options = {observe: "events", responseType: 'text' as 'text'};
    return this.http.post('photo', base64photo, { responseType: 'text' }).toPromise();
  }
}
