import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, UrlTree, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { StorageService } from './storage/storage-service.service';

@Injectable({
  providedIn: 'root'
})
export class LoggedInGuard implements CanActivate {

  protected constructor(private router: Router, private storage: StorageService) {
  }

  canActivate(
    next: ActivatedRouteSnapshot,
    state: RouterStateSnapshot): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree {
    return this.storage.ready.then(() => this.storage.getApiToken().then(
      token => {
        if (!token) this.router.navigate(['login']);
        return Boolean(token);
      }))
  }

}
