import { TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { KmsApi } from 'src/app/apis/kms.service';
import { StorageService } from 'src/app/storage/storage-service.service';

import { LoginFacade } from './login-facade.service';

describe('LoginFacadeService', () => {
  let service: LoginFacade;
  let storageServiceSpy;
  let kmsApiSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['select']);
    kmsApiSpy = jasmine.createSpyObj('KmsApi', ['login']);
    TestBed.configureTestingModule({
      imports: [
        RouterTestingModule.withRoutes([]),
      ],
      providers: [
        { provide: StorageService, useValue: storageServiceSpy },
        { provide: KmsApi, useValue: kmsApiSpy },
      ]
    });
    service = TestBed.inject(LoginFacade);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
