import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class LoginStore {

  private loginFailed = new BehaviorSubject<boolean>(false);
  private loginInProgress = new BehaviorSubject<boolean>(false);

  isLoginFailed() {
    return this.loginFailed.asObservable();
  }

  setLoginFailed(isLoginFailed: boolean) {
    this.loginFailed.next(isLoginFailed);
  }

  isLoginInProgress() {
    return this.loginInProgress.asObservable();
  }

  setLoginInProgress(isLoginInProgress: boolean) {
    this.loginInProgress.next(isLoginInProgress);
  }

}
