import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { IonicModule, NavController } from '@ionic/angular';
import { NavMock } from 'src/app/test-config/mocks-ionic';
import { LoginFacade } from './login-facade.service';

import { LoginPage } from './login.page';

describe('LoginPage', () => {
  let component: LoginPage;
  let fixture: ComponentFixture<LoginPage>;
  let loginFacadeSpy;

  beforeEach(waitForAsync(() => {
    loginFacadeSpy = jasmine.createSpyObj('LoginFacade', ['getUni', 'isLoginFailed', 'isLoginInProgress']);

    TestBed.configureTestingModule({
      declarations: [LoginPage],
      imports: [IonicModule.forRoot(),      ],
      providers: [
        { provide: LoginFacade, useValue: loginFacadeSpy },
        { provide: NavController, useClass: NavMock },
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(LoginPage);
    component = fixture.componentInstance;
    fixture.detectChanges();
  }));

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
