import { Component } from "@angular/core";
import { Observable } from "rxjs";
import { BlockCardFacade } from "./block-card-facade.service";
import { MenuPage } from "../menu.page";

@Component({
  selector: 'app-block-card',
  templateUrl: './block-card.page.html',
  styleUrls: ['./block-card.page.scss'],
})
export class BlockCardPage {

  isPasswordConfirmInProgress: Observable<boolean>;
  isCardBlocked: Observable<boolean>;

  constructor(private facade: BlockCardFacade, public menuPage: MenuPage) {
    this.isPasswordConfirmInProgress = this.facade.isPasswordConfirmInProgress();
    this.isCardBlocked = this.facade.isCardBlocked();
  }

  ionViewWillEnter() {
    this.facade.getTranslations();
    this.facade.initialize();
  }

  onButtonClick() {
    this.facade.presentAlertPrompt(this.facade.confirmHeader, this.facade.confirmText)
  }

}