import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { EscFacade } from './esc-facade.service';
import { MenuPage } from '../menu.page';
import { ViewWillEnter } from '@ionic/angular';


@Component({
  selector: 'app-esc',
  templateUrl: './esc.page.html',
  styleUrls: ['./esc.page.scss'],
})
export class EscPage implements ViewWillEnter {

  isEscEnabled: Observable<boolean>;
  escIdentifier: Observable<string>;

  constructor(private facade: EscFacade, public menuPage: MenuPage) {
    this.isEscEnabled = this.facade.getIsEscEnabled();
    this.escIdentifier = this.facade.getEscIdentifier();
  } 
  
  ionViewWillEnter() {
    this.facade.loadEscData();
  }
}
