import { Component } from '@angular/core';
import { LibraryFacade } from './library-facade.service';
import { MenuPage } from '../menu.page';
import { Observable } from 'rxjs';
import { ViewWillEnter } from '@ionic/angular';

@Component({
  selector: 'app-library',
  templateUrl: './library.page.html',
  styleUrls: ['./library.page.scss'],
})
export class LibraryPage implements ViewWillEnter {

  isHceActive: Observable<boolean>;
  isHceToggleOn: boolean;
  
    constructor(public menuPage: MenuPage, private facade: LibraryFacade) {
      this.isHceActive = this.facade.isHceActive();
      this.facade.isHceToggleOn().subscribe(toggleVal => 
        this.isHceToggleOn = toggleVal);
    }

    hceToggle() {
      this.facade.setHce(this.isHceToggleOn);
    }

    ionViewWillEnter() {
    // Get translations for HCE-Toggle:
    this.facade.getTranslations();
    }
}
