import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { LoggedInGuard } from 'src/app/logged-in.guard';

import { MenuPage } from './menu.page';

const routes: Routes = [
  {
    path: '',
    component: MenuPage,
    canActivate:[LoggedInGuard],
    children: [
      {
        path: 'myCard',
        loadChildren: () => import('./my-card/my-card.module').then(m => m.MyCardPageModule)
      },
      {
        path: 'esc',
        loadChildren: () => import('./esc/esc.module').then(m => m.EscPageModule)
      },
      {
        path: 'block-card',
        loadChildren: () => import('./block-card/block-card.module').then(m => m.BlockCardPageModule)
      },
      {
        path: 'library',
        loadChildren: () => import('./library/library.module').then(m => m.LibraryPageModule)
      },
      {
        path: 'photoupload',
        loadChildren: () => import('./photoupload/photoupload.module').then(m => m.PhotouploadPageModule)
      },
      {
        path: 'support',
        loadChildren: () => import('./support/support.module').then(m => m.SupportPageModule)
      },
      {
        path: 'settings',
        loadChildren: () => import('./settings/settings.module').then( m => m.SettingsPageModule)
      },
      {
        path: '',
        redirectTo: 'myCard',
        pathMatch: 'full'
      }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MenuPageRoutingModule { }
