import { Component } from '@angular/core';
import { MenuController } from '@ionic/angular';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { MenuFacade } from './menu-facade.service';

@Component({
  selector: 'menu-page',
  templateUrl: 'menu.page.html',
  styleUrls: ['./menu.page.scss'],
})
export class MenuPage {

constructor(private menu: MenuController, private router: Router, private facade: MenuFacade) {
}

  openMenu() {
    this.menu.enable(true, 'first');
    this.menu.open('first');
  }

  closeMenu() {
    this.menu.close('first');
  }

  navigate(page) {
    this.router.navigate(page);
    this.menu.close('first');
  }

}