import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class MyCardStore {

  private loading = new BehaviorSubject<boolean>(false);
  isLoading() { return this.loading.asObservable(); }
  setLoading(value: boolean) { this.loading.next(value); }

  private cardDataUpdateFailed = new BehaviorSubject<boolean>(false);
  isCardDataUpdateFailed() { return this.cardDataUpdateFailed.asObservable(); }
  setCardDataUpdateFailed(value: boolean) { this.cardDataUpdateFailed.next(value); }

  private cardDataUpdateInProgress = new BehaviorSubject<boolean>(false);
  isCardDataUpdateInProgress() { return this.cardDataUpdateInProgress.asObservable(); }
  setCardDataUpdateInProgress(value: boolean) { this.cardDataUpdateInProgress.next(value); }

  private lastCardDataFetchDate = new BehaviorSubject<Date>(new Date());
  getLastCardDataFetchDate() { return this.lastCardDataFetchDate.asObservable(); }
  setLastCardDataFetchDate(value: Date) { this.lastCardDataFetchDate.next(value); }
}
