import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { IonicModule, NavController } from '@ionic/angular';
import { TranslateModule } from '@ngx-translate/core';
import { NavMock } from 'src/app/test-config/mocks-ionic';
import { MyCardFacade } from './my-card-facade.service';
import { MyCardPage } from './my-card.page';

describe('MyCardPage', () => {
  let component: MyCardPage;
  let fixture: ComponentFixture<MyCardPage>;
  let myCardFacadeSpy;

  beforeEach(waitForAsync(() => {
    myCardFacadeSpy = jasmine.createSpyObj('MyCardFacade', [
      'getSelectedUni',
      'getCardData',
      'getPhoto',
      'isCardDataUpdateFailed',
      'isCardDataUpdateInProgress',
      'isCardBlocked',
      'getEscIdentifier'
    ]);
    TestBed.configureTestingModule({
      declarations: [MyCardPage],
      imports: [
        IonicModule.forRoot(),
        TranslateModule.forRoot(),
        RouterTestingModule.withRoutes([]),
      ],
      providers: [
        { provide: MyCardFacade, useValue: myCardFacadeSpy },
        { provide: NavController, useClass: NavMock },
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(MyCardPage);
    component = fixture.componentInstance;
    fixture.detectChanges();
  }));

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
