import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class PhotoUploadStore {

  private photoUploadInProgress = new BehaviorSubject<boolean>(false);
  isPhotoUploadInProgress() { return this.photoUploadInProgress.asObservable(); }
  setPhotoUploadInProgress(value: boolean) { this.photoUploadInProgress.next(value); }

  private photoUploadFailed = new BehaviorSubject<boolean>(false);
  isPhotoUploadFailed() { return this.photoUploadFailed.asObservable(); }
  setPhotoUploadFailed(value: boolean) { this.photoUploadFailed.next(value); }

  private serverError = new BehaviorSubject<boolean>(false);
  isServerError() { return this.serverError.asObservable(); }
  setServerError(value: boolean) { this.serverError.next(value); }
}