import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { IonicModule, NavController } from '@ionic/angular';
import { TranslateModule } from '@ngx-translate/core';
import { NavMock } from 'src/app/test-config/mocks-ionic';
import { SettingsFacade } from './settings-facade.service';

import { SettingsPage } from './settings.page';

describe('SettingsPage', () => {
  let component: SettingsPage;
  let fixture: ComponentFixture<SettingsPage>;
  let settingsFacadeSpy;

  beforeEach(waitForAsync(() => {
    settingsFacadeSpy = jasmine.createSpyObj('SettingsFacade', {
      getAppLanguage: {
        subscribe: () => { }
      }
    });
    TestBed.configureTestingModule({
      declarations: [SettingsPage],
      imports: [
        IonicModule.forRoot(),
        TranslateModule.forRoot()
      ],
      providers: [
        { provide: SettingsFacade, useValue: settingsFacadeSpy },
        { provide: NavController, useClass: NavMock },
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(SettingsPage);
    component = fixture.componentInstance;
    fixture.detectChanges();
  }));

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
