import { Component } from '@angular/core';
import { ViewWillEnter } from '@ionic/angular';
import { Observable } from 'rxjs';
import { Uni, SupportEntryType } from 'src/app/types';
import { SupportFacade } from './support-facade.service';
import { MenuPage } from '../menu.page';

@Component({
  selector: 'app-support',
  templateUrl: './support.page.html',
  styleUrls: ['./support.page.scss'],
})
export class SupportPage implements ViewWillEnter{

  uni: Observable<Uni>;
  public SupportEntryType = SupportEntryType; // needed to be able to check for equality in the template (html) 

  constructor(private facade: SupportFacade, public menuPage: MenuPage) {
    this.uni = this.facade.getUni();
  }

  // ViewWillEnter:
  ionViewWillEnter(): void {
    // Update translations for mail support in case language has changed:
    this.facade.getTranslations();
  }

  // On Email Support Button Click:
  onEmailButtonClick() {
    this.facade.presentAlertConfirm();
  }

}
