export interface Uni {
  id: string,
  name: string,
  apiUrl: string,
  supportEntries: SupportEntry[],
}

export type SupportEntry =
  RegularSupportEntry | 
  EmailSupportEntry |
  LinkSupportEntry;

export interface RegularSupportEntry {
  type: SupportEntryType.REGULAR,
  translationKey: string
}

export interface EmailSupportEntry {
  type: SupportEntryType.EMAIL,
  translationKey: string,
  email: string
}

export interface LinkSupportEntry {
  type: SupportEntryType.LINK,
  translationKey: string,
  link: string
}

export enum SupportEntryType {
  REGULAR,
  EMAIL,
  LINK
}

export interface LoginData {
  username: string,
  password: string
}

export interface LoginResponse {
  idToken: string,
}

export interface CardData {
  name: string,
  birthday: string,
  studentId: string,
  libraryId: string,
  stwId: string,
  trw1: string,
  trw2: string,
  trw3: string,
  publicTransportation: boolean,
  photo: string
}

