import { Injectable } from "@angular/core";

export const LANGUAGES = [
  { label: "Deutsch", key: "de" },
  { label: "English", key: "en" },
]

export const getDefaultAppLang = (browserLanguage: string) => {
  if (LANGUAGES.find(appLang => appLang.key === browserLanguage)) {
    console.log(`App translations in ${browserLanguage} were found.`);
    return browserLanguage;
  } else {
    console.log(`No translations for language ${browserLanguage} were found. Instead, 'en' will be used`);
    return 'en';
  }

}

// Local ID needed for display of dates:
@Injectable({
  providedIn: 'root'
})
export class localeID {
  getLocalID(lang) {
    if (lang === 'en') {
      return 'en-US';
    } else if (lang === 'de') {
      return 'de-DE';
    }
  }
}

